Subject: bug#14603: 24.3.50; Error while bootstrapping Emacs on Windows

From: Jan Djärv <[email-masked]>
Date: Thu, 13 Jun 2013 20:06:00 +0200

Hello.

Can't you just set some environment variable in msysconfig.sh and check for it in configure?
If it isn't set, msysconfig.sh has not been run.

	Jan D.

13 jun 2013 kl. 19:50 skrev Eli Zaretskii <[email-masked]>:

>> From: Glenn Morris <[email-masked]>
>> Cc: Dmitry Gutov <[email-masked]>,  [email-masked]
>> Date: Thu, 13 Jun 2013 12:15:00 -0400
>> 
>> Eli Zaretskii wrote:
>> 
>>>> No arguments, just ./configure
>>> 
>>> That will never work. 
>> 
>> Can you make it detect someone has done that and throw an error?
> 
> I don't know what to detect.  Looking at $0 is not going to fit the
> bill, because it is quite alright to set CONFIG_SITE manually before
> invoking ./configure.  You will see that the top-level Makefile.in
> does precisely that, when it finds it needs to re-run configure.
> Moreover, someone might even copy mingw-cfg.site to
> $prefix/share/config.site, and I don't think they deserve to be
> punished by throwing an error.  So testing that "$CONFIG_SITE" is
> non-empty is also sub-optimal if not outright wrong.
> 
> I wrote detailed instructions in nt/INSTALL.MSYS so that people would
> know how to avoid these.  If they don't follow, they will realize that
> soon enough...
> 
>> Naively, I would expect quite a lot of people to do that
> 
> I would expect them to read the instructions first.  Maybe it's me who
> is naive.
> 
>> maybe it's common knowledge
> 
> It isn't.
> 
>